### Hierarchy

- PendingTestFunction

### Callable

- __call(fn: Func): Test
- __call(fn: AsyncFunc): Test
- __call(title: string, fn?: Func): Test
- __call(title: string, fn?: AsyncFunc): Test

- - Defined in node_modules/@types/mocha/index.d.ts:521

  [bdd, tdd, qunit] Describe a specification or test-case with the given callback `fn` acting as a thunk. The name of the function is used as the name of the test. Indicates this test should not be executed.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### fn: Func

  #### Returns Test

- - Defined in node_modules/@types/mocha/index.d.ts:529

  [bdd, tdd, qunit] Describe a specification or test-case with the given callback `fn` acting as a thunk. The name of the function is used as the name of the test. Indicates this test should not be executed.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### fn: AsyncFunc

  #### Returns Test

- - Defined in node_modules/@types/mocha/index.d.ts:538

  [bdd, tdd, qunit] Describe a specification or test-case with the given `title` and callback `fn` acting as a thunk. Indicates this test should not be executed.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### title: string

  - ##### Optional fn: Func

  #### Returns Test

- - Defined in node_modules/@types/mocha/index.d.ts:546

  [bdd, tdd, qunit] Describe a specification or test-case with the given `title` and callback `fn` acting as a thunk. Indicates this test should not be executed.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### title: string

  - ##### Optional fn: AsyncFunc

  #### Returns Test

Generated using TypeDoc